ScheduledMessages

Cancel a scheduled message

Cancels a pending scheduled message so it will not be sent, and returns the updated scheduled message.

POST
/v1/messages/scheduled/{id}/cancel

Cancels a pending scheduled message so it will not be sent, and returns the updated scheduled message.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^sched_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
success*boolean
item*
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.scheduledMessages.cancel({  "id": "example"});
Example Response
{  "success": true,  "item": {    "id": "string",    "status": "pending",    "scheduledFor": "string",    "timezone": "string",    "send": {      "conversationId": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "channel": "email",      "to": [        {          "contactId": "string"        }      ],      "cc": [        {          "contactId": "string"        }      ],      "bcc": [        {          "contactId": "string"        }      ],      "from": {        "email": "string",        "name": "string"      },      "email": {        "subject": "string",        "html": "string",        "text": "string",        "attachments": [          {            "filename": "string",            "content": "string",            "mediaId": "string",            "contentType": "string",            "size": 1          }        ],        "publicationId": "string",        "inputContractId": "string",        "templateId": "string",        "templateSlug": "string",        "templateData": {          "property1": "string",          "property2": "string"        },        "locale": "string",        "timeZone": "string",        "inReplyToMessageId": "string",        "replyTo": [          "string"        ],        "topicId": "string",        "tracking": {          "opens": true,          "clicks": true        },        "footer": {          "enabled": true        },        "headers": {          "property1": "string",          "property2": "string"        }      }    },    "messageId": "string",    "idempotencyKey": "string",    "referenceId": "string",    "failureReason": "string",    "attempts": 0,    "createdBy": "string",    "actorEmail": "string",    "memberRole": "string",    "createdAt": "string",    "updatedAt": "string"  }}

Related documentation